#
# spec file for package python-colorful
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-colorful
Version:        0.5.6
Release:        2.1
Summary:        Terminal string styling done right, in Python
License:        MIT
URL:            https://github.com/timofurrer/colorful
Source:         https://github.com/timofurrer/colorful/archive/refs/tags/v%{version}.tar.gz#/colorful-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
colorful gives you control over terminal string styling in Python
with an easy to use API.

%prep
%autosetup -p1 -n colorful-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md CHANGELOG.md
%{python_sitelib}/colorful
%{python_sitelib}/colorful-%{version}*-info

%changelog
* Fri May 16 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Mon Jan  8 2024 Dirk Müller <dmueller@suse.com>
- update to 0.5.6:
  * Fix PEP420 Implicit name space thanks @MocioF
  * Test Python 3.12 support
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 0.5.5:
  * Fix `setup(colormode=NO_COLORS)`
  * Fix correctnes of `__str__` to return always a str
  * Drop Python 2 support
  * Test Python 3.5 - Python 3.11
* Mon Oct 10 2022 Steve Kowalik <steven.kowalik@suse.com>
- Initial release of 0.5.4
